#!/bin/sh
PINCODE_SH="/opt/rl3/bin/pincode.sh"
if [ ! -e ${PINCODE_SH} ]; then
	echo "ERROR: ${PINCODE_SH} not found."
	exit 1
fi
if ! pidof device_process; then
	echo "ERROR: device_process not running."
	exit 1
fi
FATAL=0
TRY_LIMIT=30000
TRY_COUNT=0
while [ ${TRY_COUNT} -lt ${TRY_LIMIT} ]; do
	TRY_COUNT=$((TRY_COUNT+1))
	echo "try count:${TRY_COUNT}"
	if ! ${PINCODE_SH} regist `${PINCODE_SH} new` > /dev/null 2>&1; then
		echo "failed to regist pincode."
		continue
	fi
	INIT_CHILD_DEVICE_PROCESS_COUNT=`ps axlf | grep '0 \./device_process' | grep -v grep | wc -l`
	if [ ${INIT_CHILD_DEVICE_PROCESS_COUNT} -ge 2 ]; then
		echo "created device_process zombie."
		FATAL=1
		break
	fi
done
if [ ${FATAL} -ne 0 ]; then
	echo "WARNING: device_process have zombie issue."
else
	echo "device_process maybe not have zombie issue."
fi
exit 0
