#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta
import sys
import rapscomm
import rapssession
import os

# initalize
c_comm = rapscomm.rapscomm()
c_sess = rapssession.rapssession(c_comm)
n_result = c_comm.RESULT.RESULT_NO_ERROR

# parameter check
if len(sys.argv) < 6:
    n_result = c_comm.RESULT.RESULT_INVALID_OPTION
    exit(n_result)

s_session = sys.argv[1]
s_path = sys.argv[2]
s_regex = sys.argv[3]
s_prec = sys.argv[4]
n_prec = 0
s_recur = sys.argv[5]
b_recur = False

try:
    n_prec = int(s_prec)
except:
    pass

try:
    if int(s_recur) != 0:
        b_recur = True
except:
    pass

# read config
if c_comm.readConfig() is False:
    n_result = c_comm.RESULT.RESULT_ERROR
    exit(n_result)

# set config value
c_sess.setConfig()

for fd in range(0, 3):
    try:
        os.close(fd)
    except:
        pass

count, memover = c_sess.create_filelist(s_session, s_path, s_regex, "none", False, n_prec, b_recur)

exit(n_result)
