#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""The script for the raps batch module."""

import os
import sys
import stat
import xml.dom.minidom
import rapscomm
import rapsexcept
import rapsrequest
import rapssession
import rapssharelist
import rapslink
import rapsmminfo
import rapsresponse
import ionas.request as request

from fal_info import (FAL_USERS_PATH, FAL_REMOTEACCESS_PATH, FAL_CONTENTS_PATH,
                      FAL_USERS_REQ_BASE_XML, FAL_REMOTEACCESSS_REQ_BASE_XML, FAL_CONTENTS_REQ_BASE_XML)
from ionas.request import (AUTH_TYPE, INFO_TYPE, SHARE_TYPE, THUMB_TYPE)
from ionas.resultcode import OK
c_comm = rapscomm.rapscomm()

n_result = c_comm.RESULT.RESULT_NO_ERROR

# status check
if __name__ != '__main__':
    n_result = c_comm.RESULT.RESULT_ERROR
    exit( n_result )

# read config
if c_comm.readConfig() == False:
    n_result = c_comm.RESULT.RESULT_ERROR
    exit( n_result )

# set config value
c_sess = rapssession.rapssession(c_comm)
c_sess.setConfig()

c_link  = rapslink.rapslink(c_comm)
#c_thumb = Thumbnail.Thumbnail(None, c_comm)

# remove session file
n_result = c_sess.remove()

# remove thumbnail
#n_result = c_thumb.remove()

# remove link
n_result = c_link.remove()

exit( n_result )
